<p>
  login works!
</p>

<form novalidate [formGroup]="form">
  <div class="form-content">
      <div class="form-group">
          <md-input-container>
              <input mdInput placeholder="Nombre de Usuario" class="form-control" #count_name maxlength="50" id="usuario" formControlName="usuario">
              <md-hint align="end">{{count_name.value.length}} / 50</md-hint>
          </md-input-container>
          <div *ngIf="form.controls.usuario.errors && form.controls.usuario.touched">
              <div *ngIf="form.controls.usuario.errors.required" class="alert alert-danger">
                  El Campo es requerido!
              </div>
              <div *ngIf="form.controls.usuario.errors.minlength" class="alert alert-danger">
                  El Campo debe ser mayor a 3 caracteres!
              </div>
              <div *ngIf="form.controls.usuario.errors.maxlength" class="alert alert-danger">
                  El Campo debe ser menor a 50 caracteres!
              </div>
              <div *ngIf="form.controls.usuario.errors.pattern" class="alert alert-danger">
                  El Campo debe iniciar con almenos una letra
              </div>
          </div>
      </div>

      <div class="form-group">
          <md-input-container class="example-full-width">
              <input mdInput type="password" placeholder="Clave" id="clave" #count_des maxlength="100" formControlName="clave">
              <md-hint align="end">{{count_des.value.length}} / 100</md-hint>
          </md-input-container>

          <div *ngIf="form.controls.clave.errors && form.controls.clave.touched">
              <div *ngIf="form.controls.clave.errors.required" class="alert alert-danger">
                  El Campo es requerido!
              </div>
              <div *ngIf="form.controls.clave.errors.minlength" class="alert alert-danger">
                  El Campo debe ser mayor a 3 caracteres!
              </div>
              <div *ngIf="form.controls.clave.errors.maxlength" class="alert alert-danger">
                  El Campo debe ser menor a 100 caracteres!
              </div>
              <div *ngIf="form.controls.clave.errors.pattern" class="alert alert-danger">
                  El Campo debe iniciar con almenos una letra
              </div>
          </div>
      </div>
  </div>
  <button class="btn rounded-btn" (click)="login()" [disabled]="!form.valid"> Log in </button> &nbsp;
  <button class="btn rounded-btn" [routerLink]="['/auth/registrar']">Register</button>
</form>